Bug 1806462 - In Audit logs, Filter type = puppetclass do not list any result
Summary: In Audit logs, Filter type = puppetclass do not list any result
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.7.0
Hardware: All
OS: All
medium
low vote
Target Milestone: 6.10.0
Assignee: Ondřej Ezr
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 09:33 UTC by Ranjan Kumar
Modified: 2021-11-16 14:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
puppetclass audit 1 (49.31 KB, image/png)
2020-02-24 09:33 UTC, Ranjan Kumar
no flags Details
puppet class 2 (62.36 KB, image/png)
2020-02-24 09:33 UTC, Ranjan Kumar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32121 0 Normal New Puppetclass creation audits are not correctly taxed 2021-03-18 13:56:51 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:18 UTC

Description Ranjan Kumar 2020-02-24 09:33:02 UTC
Created attachment 1665349 [details]
puppetclass audit 1

Description of problem:
Monitor -> Audits, The filter type = puppetclass is not working and shows no result


Version-Release number of selected component (if applicable): Satellite 6.7


How reproducible: Always

Comment 3 Ranjan Kumar 2020-02-24 09:33:51 UTC
Created attachment 1665350 [details]
puppet class 2

Comment 6 Ondřej Ezr 2021-03-18 11:34:13 UTC
This is caused by Puppetclass audits do not record its taxonomies correctly, so Puppetclass audits show only when we select 'Any organization' and 'Any location'.
This is most definitely bug, but its severity is not very high.

Comment 7 Ondřej Ezr 2021-03-18 12:40:58 UTC
It is caused by the order of creation of the records.
We create Puppetclass separately of its association class, and only then we create the association to Environment.
So the class has no way of saying what taxonomies it belongs to on create and thus this affects only create, other Audits are recorded with correct taxonomies and thus work correctly.

Comment 8 Ondřej Ezr 2021-03-18 13:56:48 UTC
Created redmine issue https://projects.theforeman.org/issues/32121 from this bug

Comment 9 Bryan Kearney 2021-03-18 16:42:07 UTC
Upstream bug assigned to oezr

Comment 10 Bryan Kearney 2021-03-18 16:42:12 UTC
Upstream bug assigned to oezr

Comment 11 Bryan Kearney 2021-04-13 10:15:47 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32121 has been resolved.

Comment 12 Vladimír Sedmík 2021-06-11 11:16:32 UTC
Verified on 6.10.0 snap 3:
1) imported a puppet environment, checked that puppet classes were added
2) removed some of the puppet classes
3) verified the Audit contains records for both events

Comment 15 errata-xmlrpc 2021-11-16 14:09:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.